<!DOCTYPE html>
<html>
<head>
	<!-- Tags added in the head can't be seen on the web page -->
	<!-- We add additional information about our html document in the head but add content with the body -->
	<!-- Meta tags add additional information about our page -->

	<meta charset="utf-8">
	<!--  -->
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Introduction to HTML</title>
</head>
<body>
	<!-- cntrl + / create HTML Comments -->
	<!-- HTML Comments added to allow us to add notes in our HTML files. These Comments will not be read and displayed in the webpage. -->
	<!-- Heading are tags that create heading elements. These heading elements are bolded and larger than the default font size. it is used as a title or to grab the attention of someone to the text. -->
	<h1>Welcome to Zuitt!</h1>
	<h2>This is our first webpage!</h2>
	<h3>We are excited to be here!</h3>
	<h4>We like HTML, CSS and JS.</h4>
	<h5>Web Development is the future.</h5>
	<h6>Web Development Learning is easier with Zuitt</h6>

	<!-- paragraph tags usually used to create paragraphs which contain text. -->
	<p>I am Donald Morales, and I am a Zuitt Online Bootcamper.</p>

	<!-- span elemets are created to contain other elements or text -->
	<span>This is a span.</span>
	<span>This is another span.</span>

	<!-- Block elements occupy the full width of the parent element.
	ex. headings and parangraph -->
	<!-- span elements only occupy the width of its contents. -->

	<!-- Elements don't only contain text but also other elements -->

	<!-- However, text elemets like paragraphs and headings, can contain text or other elements BUT should be primarily be used to contain text elements
		Best Practises:
		Do not add an image inside the paragraph.
		Do not add an image inside the heading element.
		Do not add a Heading inside the paragraph element.
	 -->

	 <!-- em elements - italicizes the text. -->
	 <!-- strong elements - bold the text. -->
	 <!-- both em and strong are inline -->
	<p>

		Welcome to <em>Zuitt!</em> In this <strong>Online Bootcamp Course</strong>, we will learn a lot of things.
	</p>


	<h3>What we will learn in our bootcamp:</h3>

	<!-- 
		ul tags create an unordered lists. With this, we can create a list with items preceded by a bullet point to show that the items are in on particular order.

		li tags allows us to create list items. List items are the 

		ol tags create ordered list. With this, we can create a list of preceded in a particular order
	 -->

	<ul>
		<li>Languages</li>
		<ul>
			<li>HTML</li>
			<li>CSS</li>
			<li>Javascript</li>
		</ul>
		<li>Frameworks and Libraries</li>
		<ol>
			<li>Bootstrap</li>
			<li>Express.js</li>
			<li>React.js</li>
		</ol>
		<li>Tools</li>
		<!-- elements inside another elements are called nested elements -->
		<!-- element that contains another element is called parent element -->
		<ol>
			<li>Git</li>
			<li>Gitlab</li>
			<li>Sublime Text</li>
			<li>Postman</li>
			<li>Google Chrome</li>
			<li>Other Tools</li>
			<ul>
				<li>MongoDB</li>
				<li>Robo3T</li>
			</ul>
		</ol>

	</ul>

	<!-- hr crates horizontalline to show division on our page. it occupies the full width of its prents element. -->

	<hr>
	<h1>Donald Morales</h1>
	<p>Most of my friends called me Matthew. I am currently taking a web development bootcamp training in Zuitt.</p>
	<h3>My Interests and Hobbies:</h3>
		<ul>
			<li>Coding</li>
			<li>Playing Online Games</li>
			<li>Playing Chess</li>
		</ul>

</body>
</html>